Package com.collibra.dgc.core.api.dto.instance.responsibility

# Class AddResponsibilityRequest

Object
AddResponsibilityRequest

All Implemented Interfaces:
  `Serializable`

public class AddResponsibilityRequest extends Object implements Serializable
The properties of the responsibility to be added.

See Also:
  - Serialized Form

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static class`
  `AddResponsibilityRequest.Builder`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AddResponsibilityRequest()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static AddResponsibilityRequest.Builder`
  `builder()`
  `protected boolean`
  `canEqual(Object other)`
  `boolean`
  `equals(Object o)`
  `UUID`
  `getOwnerId()`
  Required. The ID of the user who the responsibility is created for.
  `String`
  `getResourceDiscriminator()`
  The discriminator for distinguishing the type of the resource which the responsibility is created for.
  `UUID`
  `getResourceId()`
  The ID of the resource which the responsibility is created for.
  `ResourceType`
  `getResourceType()`
  Deprecated.
  This property will be removed in the future.
  `UUID`
  `getRoleId()`
  Required. The ID of the role that should be assigned to user.
  `int`
  `hashCode()`
  `void`
  `setOwnerId(UUID ownerId)`
  Required. The ID of the user who the responsibility is created for.
  `void`
  `setResourceDiscriminator(String resourceDiscriminator)`
  The discriminator for distinguishing the type of the resource which the responsibility is created for.
  `void`
  `setResourceId(UUID resourceId)`
  The ID of the resource which the responsibility is created for.
  `void`
  `setResourceType(ResourceType resourceType)`
  Deprecated.
  This property will be removed in the future.
  `void`
  `setRoleId(UUID roleId)`
  Required. The ID of the role that should be assigned to user.
  `String`
  `toString()`

  ### Methods inherited from class Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### AddResponsibilityRequest

    public AddResponsibilityRequest()

- ## Method Details

  - ### builder

    public static AddResponsibilityRequest.Builder builder()

  - ### getRoleId

    public UUID getRoleId()
    Required. The ID of the role that should be assigned to user.

  - ### getOwnerId

    public UUID getOwnerId()
    Required. The ID of the user who the responsibility is created for.

  - ### getResourceId

    public UUID getResourceId()
    The ID of the resource which the responsibility is created for. NOTE: if null, a global responsibility is created.

  - ### getResourceType

    @Deprecated public ResourceType getResourceType()
    Deprecated.
    This property will be removed in the future. Use `resourceDiscriminator` instead.
    The type of the resource for which the Responsibility is created. The value should be one of [Community, Asset, Domain]. Deprecated in favour of resourceDiscriminator. If both are present, the value of resourceDiscriminator will be used.

  - ### getResourceDiscriminator

    public String getResourceDiscriminator()
    The discriminator for distinguishing the type of the resource which the responsibility is created for. Valid values are : "Community", "Domain" or "Asset"

  - ### setRoleId

    public void setRoleId(UUID roleId)
    Required. The ID of the role that should be assigned to user.

  - ### setOwnerId

    public void setOwnerId(UUID ownerId)
    Required. The ID of the user who the responsibility is created for.

  - ### setResourceId

    public void setResourceId(UUID resourceId)
    The ID of the resource which the responsibility is created for. NOTE: if null, a global responsibility is created.

  - ### setResourceType

    @Deprecated public void setResourceType(ResourceType resourceType)
    Deprecated.
    This property will be removed in the future. Use `resourceDiscriminator` instead.
    The type of the resource for which the Responsibility is created. The value should be one of [Community, Asset, Domain]. Deprecated in favour of resourceDiscriminator. If both are present, the value of resourceDiscriminator will be used.

  - ### setResourceDiscriminator

    public void setResourceDiscriminator(String resourceDiscriminator)
    The discriminator for distinguishing the type of the resource which the responsibility is created for. Valid values are : "Community", "Domain" or "Asset"

  - ### equals

    public boolean equals(Object o)
    Overrides:
      `equals` in class `Object`

  - ### canEqual

    protected boolean canEqual(Object other)

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`